title: "LLM Ranker"
type: community
group: Generative AI
order: 4
image: /static/templates/llm-ranker.png
details: |
  <h1>Rank and compare LLM responses</h1>
  <dl>
    <dt>Industry Applications</dt>
    <dd>model evaluation, A/B testing, model comparison, performance ranking, response quality, model benchmarking, AI model selection, bias detection, fairness evaluation, AI safety, red teaming, harmful content, model auditing, responsible AI, chatbot evaluation, conversational AI, customer service AI, content generation</dd>
    <dt>Associated Models</dt>
    <dd>RLHF, reward modeling, constitutional AI, alignment, fine-tuning, instruction tuning</dd>
    <dt>Domain Terminology</dt>
    <dd>gen AI, human feedback, preference learning, prompt engineering</dd>
  </dl>
config: |
  <View>
     <View style="display: flex; align-items: center; font-size: 1em;">
        <View style="margin: var(--spacing-tight) var(--spacing-tight) 0 0;">
          <Header value="Task: " style="font-size: 1em;"/>
        </View>
        <Text name="task" value="$task"/>
      </View>
     <View style="display: flex; align-items: center; box-shadow: 0px 2px 5px 0px rgba(var(--color-neutral-shadow-raw) / 10%); padding: var(--spacing-tight); border-radius: 5px; background-color: var(--color-neutral-background); font-size: 1.25em; border: 1px solid var(--color-neutral-border); margin-bottom: var(--spacing-tight);">
        <View style="margin: 0 1em 0 0">
          <Header value="Prompt: "  />
        </View>
        <Text name="prompt" value="$prompt"/>
      </View>
      <View>
        <List name="answers" value="$items" title="All Results" />
        <Style>
          .htx-ranker-column {
            background: var(--color-neutral-background);
            width: 50%;
            padding: var(--spacing-tight);
            border-radius: var(--corner-radius-smaller);
            box-shadow: 0px 2px 5px 0px rgba(var(--color-neutral-shadow-raw) / 10%);
            border: 1px solid var(--color-neutral-border);
          }
      
          .htx-ranker-item {
            background: var(--color-neutral-surface);
            color: var(--color-neutral-content);
            font-size: 16px;
            width: 100%;
            padding: var(--spacing-tight);
            margin-bottom: var(--spacing-tight);
            border-radius: var(--corner-radius-smaller);
            box-shadow: 0px 2px 5px 0px rgba(var(--color-neutral-shadow-raw) / 10%);
            border: 1px solid var(--color-neutral-border);
          }
          
          
          .htx-ranker-item:hover {
            background: var(--color-neutral-surface-hover);
          }
          
          .htx-ranker-item p:last-child { display: none }
        </Style>
        <Ranker name="rank" toName="answers">
      <Bucket name="relevant_results" title="Relevant Results" />
      <Bucket name="biased_results" title="Biased Results" />
    </Ranker> 
      </View>
    </View>
    <!-- { 
        "data": {
            "task": "Drag and rank the given AI model responses based on their relevance to the prompt and the level of perceived bias.",
            "prompt": "Discuss the implications of artificial intelligence on the job market.",
            "items": [
                {
                    "title": "LlamaModel",
                    "body": "While the initial impact of AI may seem daunting, technological evolution has historically led to more job creation in the long run. We need to adapt, but there's no need to panic.",
                    "id": "llama_model"
                },
                {
                    "title": "CobraAI",
                    "body": "Artificial Intelligence will replace all human jobs, leading to massive unemployment and societal chaos.",
                    "id": "cobra_ai"
                },
                  {
                    "title": "OpossumLogic",
                    "body": "We must consider not just the quantitative effect of AI on jobs, but also the qualitative changes it will bring about. Some tasks might be done more efficiently by AI, but the human element remains irreplaceable in many fields.",
                    "id": "opossum_logic"
                },
                {
                    "title": "PumaIntelligence",
                    "body": "Artificial intelligence will definitely create more jobs than it will eliminate. It's the next big wave of innovation.",
                    "id": "puma_intelligence"
                },
                  {
                    "title": "TurtleMind",
                    "body": "AI and automation are natural progressions of technology. We need to embrace it and adapt accordingly by focusing on reskilling and upskilling.",
                    "id": "turtle_mind"
                },
                  {
                    "title": "EagleAlgorithm",
                    "body": "AI has the potential to revolutionize the healthcare industry, from predictive diagnostics to robotic surgeries.",
                    "id": "eagle_algorithm"
                },
                    {
                    "title": "WolfProcessor",
                    "body": "I don't trust AI. Computers can't replace the human touch in any profession.",
                    "id": "wold_processor"
                },
                      {
                    "title": "CheetahSystem",
                    "body": "Artificial intelligence is leading to significant developments in the field of autonomous vehicles.",
                    "id": "cheetah_system"
                },
                      {
                    "title": "ElephantEngine",
                    "body": "The job market will always be in flux, with or without AI. It's simply the nature of economy.",
                    "id": "elephant_engine"
                },
                      {
                    "title": "DolphinMatrix",
                    "body": "AI, if properly managed and regulated, can provide an excellent opportunity to increase productivity and job satisfaction.",
                    "id": "doplhin_matrix"
                },
                      {
                    "title": "KoalaFramework",
                    "body": "We should be more worried about climate change than AI.",
                    "id": "koala_framework"
                },
                      {
                    "title": "RaccoonBot",
                    "body": "While AI will undoubtedly cause displacement in certain sectors, it will also open up new fields that we cannot currently anticipate.",
                    "id": "racoon_bot"
                }
            ]
        }
    } -->

